---
title: Setup
description: Instructions for the setup of VehiclesPlus.
published: true
date: 2024-12-01T18:10:14.729Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:41.502Z
---

# Setup

This plugin explains the steps to take to start using VehiclesPlus.

## Installation

> - The plugin works on all Spigot/Paper versions starting from 1.12.x, **except for 1.14.x**!
> - The plugin requires **Java 11 or higher**. Make sure your server is compatible with Java 11 or higher.
> - **Make sure you have installed [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://www.spigotmc.org/resources/vault.34315/) and an economy plugin (like [EssentialsX](https://essentialsx.net/downloads.html)).**
> 
> Make sure to check these requirements before you proceed!
{.is-warning}

1. Download the latest stable version from [SpigotMC](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-20-4.633).
2. Put the .jar file into the `/plugins` folder of your server.
3. Restart your server.
3. Download the correct resourcepack for your Minecraft version below and test it out in your Minecraft client.
4. If you are satisfied, you can install it into your Minecraft server:
	1. Open the `server.properties` file.
	2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
	3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.12.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.12.2.zip) | `e875afc2aa5d1ab8cc37765d186f28a250cfa49b` |
| 1.13.2 - 1.14.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.13.2-1.14.4.zip) | `c184881260e7cf4ef42a4f2b7218107d9b175c8f` |
| 1.15.2 - 1.16.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.15.2-1.16.1.zip) | `0279bbddc7af7130977bccdc62e05e1fb550116c` |
| 1.16.2 - 1.16.5 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.16.2-1.16.5.zip) | `088c3eaae9435b9d663d12c02a31a813b3cf0414` |
| 1.17 - 1.17.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.17-1.17.1.zip) | `7afe9acff63d1fc982fef0f94ad6b4ab02dbb795` |
| 1.18 - 1.18.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.18-1.18.2.zip) | `271c2e4f6bb60a6f1741cd520d0a4d9f8dbdb72a` |
| 1.19 - 1.19.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19-1.19.2.zip) | `e0aaa23110c0c886acf20ec2ffe89118d5ad529b` |
| 1.19.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19.3.zip) | `0ff59bcda276949786c7b039c4756863dbe8ebb8` |
| 1.19.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.19.4.zip) | `b50f2dbe062aa046f0f2a2949c1fc013698b13dc` |
| 1.20 - 1.20.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20-1.20.1.zip) | `2be179214e6199487223ba47856ff50184b6a8c6` |
| 1.20.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.2.zip) | `389459860093a152a863f3d002260763219413bb` |
| 1.20.3 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.3-1.20.4.zip) | `bcc713955c22ca04b219d335a585a93ffdda56ef` |
| 1.20.5 - 1.20.6 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.20.5-1.20.6.zip) | `28cba204318a7f985a12239aece1e8e8f236f619` |
| 1.21 - 1.21.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v2/VPExample-v2-1.21-1.21.1.zip) | `28fae42b8eca5bcb6cf58d245db88ae3a1402b4b` |

## Adding your own vehicles

- **Do you already have some vehicle models to use**, or do you want to design your own models? Check out [the usage page](/en/vehiclesplus/configuration/vehicles) for more information about that.

- **Do you want to buy pre-made vehicle models for your server**? Check out our recommended sellers below:
	- [SBDevelopment official models](https://polymart.org/team/sbdevelopment.93): These models are made for VehiclesPlus and allow you to use all the functionalities the plugin has.
	- [Saturn Studio](https://polymart.org/user/saturnstudio.235): Sells a lot of vehicles, like Tesla and Emergency Services. Also has configurations available on request.
  - [MKModels](https://polymart.org/user/melchmwoan.2244): Has different types of cheap vehicles available. Configurations are not included.
  - [PixelMine](https://polymart.org/user/pixelmine.728): Has a big collection of cars and other vehicles. Configurations are not included by default.